Endpoints-2
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
POST | |
GET | |
POST | |
GET | |
POST | |
GET | |
PATCH | |
DELETE | |
POST |
Create environments endpoints run
Execute endpoint with optional materialization. Supports version parameter, runs latest version if not set.
Required API key scopes
endpoint:readPath parameters
- environment_idstring
- namestring
Request parameters
- client_query_idstring
- debugbooleanDefault:
false - filters_override
- limitinteger
- offsetinteger
- refreshDefault:
cache - variablesobject
- versioninteger
Response
Example request
POST /api /environments /:environment_id /endpoints /:name /runExample response
Status 200
Create environments endpoints run
Execute endpoint with optional materialization. Supports version parameter, runs latest version if not set.
Required API key scopes
endpoint:readPath parameters
- environment_idstring
- namestring
Request parameters
- client_query_idstring
- debugbooleanDefault:
false - filters_override
- limitinteger
- offsetinteger
- refreshDefault:
cache - variablesobject
- versioninteger
Response
Example request
POST /api /environments /:environment_id /endpoints /:name /runExample response
Status 200
List all environments endpoints versions
List all versions for an endpoint.
Required API key scopes
endpoint:readPath parameters
- environment_idstring
- namestring
Query parameters
- created_byinteger
- is_activeboolean
- limitinteger
- offsetinteger
Response
Example request
GET /api /environments /:environment_id /endpoints /:name /versionsExample response
Status 200
List all environments endpoints versions
List all versions for an endpoint.
Required API key scopes
endpoint:readPath parameters
- environment_idstring
- namestring
Query parameters
- created_byinteger
- is_activeboolean
- limitinteger
- offsetinteger
Response
Example request
GET /api /environments /:environment_id /endpoints /:name /versionsExample response
Status 200
Create environments endpoints last execution times
Get the last execution times in the past 6 months for multiple endpoints.
Path parameters
- environment_idstring
Request parameters
- namesarray
Response
Example request
POST /api /environments /:environment_id /endpoints /last_execution_timesExample response
Status 200
Create environments endpoints last execution times
Get the last execution times in the past 6 months for multiple endpoints.
Path parameters
- environment_idstring
Request parameters
- namesarray
Response
Example request
POST /api /environments /:environment_id /endpoints /last_execution_timesExample response
Status 200
List all endpoints
List all endpoints for the team.
Required API key scopes
endpoint:readPath parameters
- project_idstring
Query parameters
- created_byinteger
- is_activeboolean
- limitinteger
- offsetinteger
Response
Example request
GET /api /projects /:project_id /endpointsExample response
Status 200
List all endpoints
List all endpoints for the team.
Required API key scopes
endpoint:readPath parameters
- project_idstring
Query parameters
- created_byinteger
- is_activeboolean
- limitinteger
- offsetinteger
Response
Example request
GET /api /projects /:project_id /endpointsExample response
Status 200
Create endpoints
Create a new endpoint.
Required API key scopes
endpoint:writePath parameters
- project_idstring
Request parameters
- namestring
- query
- descriptionstring
- cache_age_secondsnumber
- is_activeboolean
- is_materializedboolean
- sync_frequencystring
- derived_from_insightstring
- versioninteger
- bucket_overridesobject
- deletedboolean
Response
Example request
POST /api /projects /:project_id /endpointsExample response
Status 201
Create endpoints
Create a new endpoint.
Required API key scopes
endpoint:writePath parameters
- project_idstring
Request parameters
- namestring
- query
- descriptionstring
- cache_age_secondsnumber
- is_activeboolean
- is_materializedboolean
- sync_frequencystring
- derived_from_insightstring
- versioninteger
- bucket_overridesobject
- deletedboolean
Response
Example request
POST /api /projects /:project_id /endpointsExample response
Status 201
Retrieve endpoints
Retrieve an endpoint, or a specific version via ?version=N.
Required API key scopes
endpoint:readPath parameters
- namestring
- project_idstring
Response
Example request
GET /api /projects /:project_id /endpoints /:nameExample response
Status 200
Retrieve endpoints
Retrieve an endpoint, or a specific version via ?version=N.
Required API key scopes
endpoint:readPath parameters
- namestring
- project_idstring
Response
Example request
GET /api /projects /:project_id /endpoints /:nameExample response
Status 200
Update endpoints
Update an existing endpoint.
Required API key scopes
endpoint:writePath parameters
- namestring
- project_idstring
Request parameters
- namestring
- query
- descriptionstring
- cache_age_secondsnumber
- is_activeboolean
- is_materializedboolean
- sync_frequencystring
- derived_from_insightstring
- versioninteger
- bucket_overridesobject
- deletedboolean
Response
Example request
PATCH /api /projects /:project_id /endpoints /:nameExample response
Status 200
Update endpoints
Update an existing endpoint.
Required API key scopes
endpoint:writePath parameters
- namestring
- project_idstring
Request parameters
- namestring
- query
- descriptionstring
- cache_age_secondsnumber
- is_activeboolean
- is_materializedboolean
- sync_frequencystring
- derived_from_insightstring
- versioninteger
- bucket_overridesobject
- deletedboolean
Response
Example request
PATCH /api /projects /:project_id /endpoints /:nameExample response
Status 200
Delete endpoints
Delete an endpoint and clean up materialized query.
Required API key scopes
endpoint:writePath parameters
- namestring
- project_idstring
Example request
DELETE /api /projects /:project_id /endpoints /:nameExample response
Status 204 No response body
Delete endpoints
Delete an endpoint and clean up materialized query.
Required API key scopes
endpoint:writePath parameters
- namestring
- project_idstring
Example request
DELETE /api /projects /:project_id /endpoints /:nameExample response
Status 204 No response body
Create endpoints materialization preview
Preview the materialization transform for an endpoint. Shows what the query will look like after materialization, including range pair detection and bucket functions.
Required API key scopes
endpoint:readPath parameters
- namestring
- project_idstring
Request parameters
- versioninteger
- bucket_overridesobject
Example request
POST /api /projects /:project_id /endpoints /:name /materialization_previewExample response
Status 200 No response body
Create endpoints materialization preview
Preview the materialization transform for an endpoint. Shows what the query will look like after materialization, including range pair detection and bucket functions.
Required API key scopes
endpoint:readPath parameters
- namestring
- project_idstring
Request parameters
- versioninteger
- bucket_overridesobject
Example request
POST /api /projects /:project_id /endpoints /:name /materialization_preview